/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\zzz-items\Idols\basetransformidol.cs
Lines of code: 38
***********************************************************/


using System; 
using Server.Network; 
using Server.Items; 
using Server.Mobiles; 

namespace Server.Items 
{ 
   public class BaseTransformIdol : Item 
   { 
   Mobile m_LastUser;
   

      public BaseTransformIdol(int itemid,int bodyvalue,int firstsound, int secondsound) : base( itemid ) 
      { 
         Movable = true; 
      } 

      public BaseTransformIdol( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 

      
      public override void OnDoubleClick( Mobile from ) 
      { 
         if ( !from.InRange( GetWorldLocation(), 2 ) ) 
         { 
            from.SendLocalizedMessage( 500446 ); // That is too far away. 
			return;
         } 
		 
		 from.Dismount();
		 
		 if(from.BodyMod!=0)from.BodyMod=0;
		 

         }

		 
      } 
   } 


 
